Page MenuHomePhabricator

Performance review of RCFilters feature
Closed, ResolvedPublic

Description

Following T176250, and in general, we should make sure a performance review is done for RCFilters at some point.

Three main workflows come to mind:

  • Page load of Special:RecentChanges (with and without filters).
  • Initialisation of the RCFilters feature (when enabled).
  • Interaction with the feature.

For each of these:

  • Avoid FOUC.
  • RAIL-compliant (work loads in small chunks, allowing quick response to user input, timely ajax loads and/or progressive load expectation to users, any animations being smooth, etc.).

Related Objects

StatusAssignedTask
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
ResolvedKrinkle
ResolvedCatrope
ResolvedNone
ResolvedNone
ResolvedMooeypoo
DeclinedCatrope
InvalidNone
ResolvedNone
ResolvedEtonkovidova
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedCatrope
OpenNone
OpenNone
ResolvedEtonkovidova

Event Timeline

Krinkle created this task.Sep 25 2017, 5:18 PM

Moving to External for now as I believe @Catrope is already doing some work in this area. Once completed, or if you need anything, let us know :)

Krinkle moved this task from Limbo to Watching on the Performance-Team (Radar) board.

Change 380578 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Cache ChangesListSpecialPage::buildChangeTagList()

https://gerrit.wikimedia.org/r/380578

Change 380655 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Log performance data

https://gerrit.wikimedia.org/r/380655

Change 380578 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Cache ChangesListSpecialPage::buildChangeTagList()

https://gerrit.wikimedia.org/r/380578

I've checked possible Gadgets that may interfere with the RC filters. According to the list of the most used gadgets, none of them are used on RCs.

Change 380655 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Log performance data

https://gerrit.wikimedia.org/r/380655

Change 380801 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@wmf/1.31.0-wmf.1] RCFilters: Log performance data

https://gerrit.wikimedia.org/r/380801

Change 380802 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@wmf/1.30.0-wmf.19] RCFilters: Log performance data

https://gerrit.wikimedia.org/r/380802

Change 380802 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.19] RCFilters: Log performance data

https://gerrit.wikimedia.org/r/380802

Change 380801 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.1] RCFilters: Log performance data

https://gerrit.wikimedia.org/r/380801

Mentioned in SAL (#wikimedia-operations) [2017-09-26T23:19:09Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.1/resources/src/mediawiki.rcfilters/mw.rcfilters.init.js: SWAT: [[gerrit:380801|RCFilters: Log performance data]] T176652 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-09-26T23:20:34Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.19/resources/src/mediawiki.rcfilters/mw.rcfilters.init.js: SWAT: [[gerrit:380802|RCFilters: Log performance data]] T176652 (duration: 00m 48s)

Change 381148 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/WikimediaEvents@master] Move RCFilters performance logging to WikimediaEvents and also log performance for old UI

https://gerrit.wikimedia.org/r/381148

Change 381149 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Remove perf tracking code that was moved to WikimediaEvents in Ib300af5c

https://gerrit.wikimedia.org/r/381149

Change 381148 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Move RCFilters performance logging to WikimediaEvents and also log performance for old UI

https://gerrit.wikimedia.org/r/381148

Change 381149 merged by jenkins-bot:
[mediawiki/core@master] Remove perf tracking code that was moved to WikimediaEvents in Ib300af5c

https://gerrit.wikimedia.org/r/381149

Change 382327 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/WikimediaEvents@wmf/1.31.0-wmf.2] Move RCFilters performance logging to WikimediaEvents and also log performance for old UI

https://gerrit.wikimedia.org/r/382327

Change 382328 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@wmf/1.31.0-wmf.2] Remove perf tracking code that was moved to WikimediaEvents in Ib300af5c

https://gerrit.wikimedia.org/r/382328

Change 382327 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.31.0-wmf.2] Move RCFilters performance logging to WikimediaEvents and also log performance for old UI

https://gerrit.wikimedia.org/r/382327

Change 382328 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.2] Remove perf tracking code that was moved to WikimediaEvents in Ib300af5c

https://gerrit.wikimedia.org/r/382328

Mentioned in SAL (#wikimedia-operations) [2017-10-05T00:04:33Z] <catrope@tin> Synchronized php-1.31.0-wmf.2/extensions/WikimediaEvents/modules/ext.wikimediaEvents.recentChangesClicks.js: T176652 (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2017-10-05T00:06:21Z] <catrope@tin> Synchronized php-1.31.0-wmf.2/resources/src/mediawiki.rcfilters/mw.rcfilters.init.js: T176652 (duration: 00m 49s)

Not sure if this is a tracking ticket but see related ticket for performance here: T178042: Code hygiene/performance: Batch filter update operations when we update multiple items

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 1 2018, 3:33 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Aug 7 2018, 1:32 PM
Krinkle removed a subscriber: Krinkle.Sep 6 2018, 9:32 PM
Krinkle closed this task as Resolved.Jan 21 2019, 12:45 AM
Krinkle claimed this task.